#ifndef PIECEWIDGET_H 
#define PIECEWIDGET_H 

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif 

#include <qwidget.h>

class KPuzzleWidget;
class KPuzzleApp;

#include <qpoint.h>
#include <qpixmap.h>
#include <qevent.h>

class CPieceWidget : public QWidget
{
	Q_OBJECT
 public:
	CPieceWidget(QWidget *parent,KPuzzleApp* app);
	virtual ~CPieceWidget();

// Data
 public:
	QPixmap* currentPiece();

 protected:
	KPuzzleApp* _app;
	

// Implementation
 public:

 protected:
	QRect getPieceDrawRect();
	virtual void paintEvent(QPaintEvent* event);

 public slots:
	void slotNextClicked();
        void slotPrevClicked();
	void slotTurn1Clicked();
	void slotTurn2Clicked();
};

#endif // PIECEWIDGET_H 
